package com.hdkj.lt.job.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hdkj.lt.core.sys.dao.HussarMapper;
import com.hdkj.lt.job.entity.po.FhzgDistMappingFilePO;
import com.hdkj.lt.modle.FileUploadDTO;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Description
 * @Author wcx
 * @Date 2025/6/19 15:52
 * @Version 1.0
 */
@Mapper
public interface DistOSSSvgFileMapper extends BaseMapper<FhzgDistMappingFilePO> {
    /**
     * 获取配置的自定义附件存储线路信息
     */
    List<String> getCustomStorageLine();

    /**
     * 修改配置的更新文件时间
     */
    void updateConfigFileChangeTime(LocalDateTime dateTime, LocalDateTime plusDayTime);

    /**
     * 修改配置的更新文件时间
     */
    String getConfigValueFileChange();

    /**
     * 获取需要配电云主站文件信息
     */
    List<String> getDistMasterStationFile(Integer size);

    /**
     * 添加需要上传本地oss的配电云主站变更的数据
     */
    void insertDistMasterStationFile(List<FileUploadDTO> fileList, LocalDateTime dateTime);

    /**
     * 逻辑删除已经上传本地oss的配电云主站变更的数据
     */
    void updateDistMasterStationFile(List<String> fileNames);

    /**
     * 获取所有的配电云主站文件信息
     */
    List<FileUploadDTO> getAllDistMasterStationFile();
}
